CVE-2017-9124

NameCVE-2017-9124
DescriptionThe quicktime_match_32 function in util.c in libquicktime 1.2.4 allows remote attackers to cause a denial of service (NULL pointer dereference and application crash) via a crafted mp4 file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1042-1
NVD severitymedium
Debian Bugs864664

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libquicktime (PTS)stretch2:1.2.4-10+deb9u1fixed
buster, bullseye, sid2:1.2.4-12fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libquicktimesourcewheezy2:1.2.4-3+deb7u2DLA-1042-1
libquicktimesourcestretch2:1.2.4-10+deb9u1
libquicktimesource(unstable)2:1.2.4-11low864664

Notes

[jessie] - libquicktime <no-dsa> (Minor issue)

Search for package or bug name: Reporting problems